Subject: Re: [PATCH] Color support added to git-add--interactive.

From: Tom Tobin <[email-masked]>
Date: Sat, 13 Oct 2007 15:26:46 -0500

On Sat, 2007-10-13 at 15:21 -0500, Tom Tobin wrote:
> Meh, I really need to start posting the stuff I've hacked into git.
> First the git-stash changes, now this.  Sigh.  ^_^
> 
> I have a variant of git-add--interactive that properly adds coloration
> to diffs, taking the config file values already set for the color.diff
> key and colorizing the unadorned diffs internally (rather than expecting
> the output of git-diff/git-diff-files to be colorized).
> 
> Give me a couple of hours (still setting up my Macbook after repaving it
> and installing Ubuntu) and I'll post what I've got for others to tear
> apart and point out where I screwed up.  ;)

... and now Evolution is screwing up my From: address (it should be
"[email-masked]"; probably since I'm routing everything through
Google Apps).  Ah well, one more thing to fix first....